Prophet::UUIDGenerator(3pm)

NAME
Prophet::UUIDGenerator

DESCRIPTION
Creates UUIDs using UUID::Tiny. Initially, it created v1 and v3 UUIDs; the new UUID scheme creates v4 and v5 UUIDs, instead.

METHODS

  uuid_scheme
Gets or sets the UUID scheme; if 1, then creates v1 and v3 UUIDs (for backward compatability with earlier versions of Prophet). If 2, it creates v4 and v5 UUIDs.

  create_str
Creates and returns v1 or v4 UUIDs, depending on "uuid_scheme".

  create_string_from_url URL
Creates and returns v3 or v5 UUIDs for the given "URL", depending on "uuid_scheme".

  from_string

  to_string

  from_safe_b64

  to_safe_b64

  version

  set_uuid_scheme